Subject: Re: [Dime] WGLC Comments on draft-ietf-dime-rfc3588bis-17.txt, pp. 14-20

From: Victor Fajardo <[email-masked]>
Date: Fri, 10 Jul 2009 12:04:20 -0400

Hi Glen,

Sorry for the late response. The editorials are ok.

>
>
> TECHNICAL
>
> Section 1.2
> I think that the definition of "Diameter Client" is a bit too restrictive:
> it's not hard to imagine Diameter clients that are not strictly speaking
> devices or don't sit at the edge of a network or do not (directly) perform
> access control functions.  I suggest rewriting the definition in terms of
> Diameter Node, maybe something like:
> "A Diameter Client is a Diameter Node that supports Diameter client
> applications as well as the base protocol.  Diameter Clients are often
> implemented in devices situated at the edge of a network and provide access
> control services for that network.  Typical examples of Diameter Clients
> include the Network Access Server (NAS) and the Mobile IP Foreign Agent
> (FA)."  
>   

your suggestion looks good to me.

-- victor
> In the definition of "Downstream", a more general statement might be
> obtained by replacing "access device" with "Diameter Client"
>
> The definition of "Session state" doesn't really make sense to me: it
> doesn't actually define session state, but does define a stateful agent.
>
> In the definition of "Upstream", a more general statement might be obtained
> by replacing "access device" with "Diameter Client"
>
>
>
>

---

From: Victor Fajardo <[email-masked]>
Date: Fri, 10 Jul 2009 12:05:33 -0400

> TECHNICAL
>
> Section 2
> ---------
> I don't really understand this section, nor even why it is included  For
> example:
>
>    Diameter Clients MUST support the base protocol, which includes
>    accounting.  In addition, they MUST fully support each Diameter
>    application that is needed to implement the client's service, e.g.,
>    NASREQ and/or Mobile IPv4.  A Diameter Client that does not support
>    both NASREQ and Mobile IPv4, MUST be referred to as "Diameter X
>    Client" where X is the application which it supports, and not a
>    "Diameter Client".
>
> There are a ton of Diameter applications; what's so special about NASREQ &
> MIPv4?  Even if there is a rationale for keeping this part of the original
> text, section 2 in bis doesn't seem like any improvement of section 2 of RFC
> 3588.
>   

I definitely agree. NASREQ and Mobile IPv4 should be struck out in the 
last sentence. Pls check out the latest draft rev for the updated text.

-- victor